<?php
/*=================================================
	Project: phpGedView
	File: admin.php
	Author: John Finlay
	Comments:
		Administrative User Interface.

	phpGedView: Genealogy Viewer
    Copyright (C) 2002 to 2003  John Finlay and Others

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

===================================================*/

require "config.php";
require $PGV_BASE_DIRECTORY.$confighelpfile["english"];
if (file_exists($PGV_BASE_DIRECTORY.$confighelpfile[$LANGUAGE])) require $PGV_BASE_DIRECTORY.$confighelpfile[$LANGUAGE];

if (!isset($action)) $action="";
if ($action=="phpinfo") {
	phpinfo();
	exit;
}
if (!userIsAdmin(getUserName())) {
	header("Location: login.php?url=admin.php");
	exit;
}

print_header($pgv_lang["administration"]);
?>
<div align="center">
<h2>PhpGedView v<?php print $VERSION." ".$VERSION_RELEASE." ".$pgv_lang["administration"]; ?></h2>
<?php print $pgv_lang["select_an_option"]; ?><br /><br />
<table><tr><td align="left">
<ul>
<li style="line-height: 20pt;"><a href="readme.txt"><?php print $pgv_lang["readme_documentation"];?></a></li>
<li style="line-height: 20pt;"><a href="docs/phpGedView user manual.html"><?php print $pgv_lang["user_manual"];?></a></li>
<li style="line-height: 20pt;"><a href="editconfig.php"><?php print $pgv_lang["configuration"];?></a></li>
<li style="line-height: 20pt;"><a href="editgedcoms.php"><?php print $pgv_lang["manage_gedcoms"];?></a></li>
<li style="line-height: 20pt;"><a href="uploadgedcom.php"><?php print $pgv_lang["upload_gedcom"];?></a></li>
<li style="line-height: 20pt;"><a href="uploadmedia.php"><?php print $pgv_lang["upload_media"];?></a></li>
<li style="line-height: 20pt;"><a href="useradmin.php"><?php print $pgv_lang["user_admin"];?></a></li>
<li style="line-height: 20pt;"><a href="editlang.php"><?php print $pgv_lang["edit_langdiff"];?></a></li>
<li style="line-height: 20pt;"><a href="edit_privacy.php?action=edit"><?php print $pgv_lang["edit_privacy"] . " [\"" . $PRIVACY_MODULE . "\"]";?></a></li>
<?php if (count($pgv_changes)>0) print "<li style=\"line-height: 20pt;\"><a href=\"gdbi_changes.php\">".$pgv_lang["accept_changes"]."</a></li>\n"; ?>
<li style="line-height: 20pt;"><a href="admin.php?action=phpinfo"><?php print $pgv_lang["show_phpinfo"];?></a></li>
</td></tr></table>
<br /><br /><br />
</div>
<?php
print_footer();
?>

