<?php
/*=================================================
	Project: phpGedView
	File: editlang.php
	Author: John Finlay, Kurt Norgaz
	Comments:
		Display a diff between two language files to
		help in translating.

	Change Log:
		07/20/03 - File Created

	phpGedView: Genealogy Viewer
    Copyright (C) 2002 to 2003  John Finlay and Others

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
===================================================*/
$EDIT_LANGUAGE_VERSION = "1.02";

require "config.php";
require $PGV_BASE_DIRECTORY . "editlang_functions.php";
if (file_exists($PGV_BASE_DIRECTORY . "rs_functions.php")) require $PGV_BASE_DIRECTORY . "rs_functions.php";

if (!isset($action)) $action="";
if (!isset($language2)) $language2 = $LANGUAGE;
if (!isset($file_type)) $file_type = "lang";

//-- make sure that they have admin status before they can use this page
//-- otherwise have them login again
$uname = getUserName();
if (empty($uname)) {
	header("Location: login.php?url=editlang.php");
	exit;
}

print_header($pgv_lang["edit_langdiff"]);

print "<script language=\"JavaScript\">\n";
print "var helpWin;\n";
print "function helpPopup(which) {\n";
print "if ((!helpWin)||(helpWin.closed)){helpWin = window.open('editlang_edit.php?' + which, '' , 'left=50, top=30, width=700, height=600, resizable=1, scrollbars=1'); helpWin.focus();}\n";
print "else helpWin.location = 'editlang_edit.php?' + which;\n";
print "return false;\n";
print "}\n";
print "function showchanges() {";
print "\twindow.location = '$PHP_SELF?$QUERY_STRING';";
print "}";
print "</script>\n";

print "<center>";
  print "<h2>" . $pgv_lang["edit_lang_utility"] . "</h2>";
  print $pgv_lang["edit_langdiff_help"] . "<br /><br />";

  print "<form name=\"choose_form\" method=\"get\">";
    print "<input type=\"hidden\" name=\"action\" value=\"edit\">";
    print "<table border=0 cellpadding=2 cellspacing=10>";
      print "<tr>";
        print "<td align=\"center\">" . $pgv_lang["language_to_edit"] . ":<br />";
          print "<select name=\"language2\">";
            foreach ($pgv_language as $key => $value)
            {
            	print "\n\t\t\t<option value=\"$key\"";
            	if ($key == $language2) print " selected";
            	print ">".$pgv_lang[$key]."</option>";
            }
          print "</select>";
        print "</td>";
        print "<td align=\"center\">" . $pgv_lang["file_to_edit"] . ":<br />";
          print "<select name=\"file_type\">";
          print "\n\t\t\t<option value=\"lang\"";
          if ($file_type == "lang") print " selected";
          print ">"."lang.xx.php"."</option>";

          print "\n\t\t\t<option value=\"facts\"";
          if ($file_type == "facts") print " selected";
          print ">" . "facts.xx.php" . "</option>";

          print "\n\t\t\t<option value=\"configure_help\"";
          if ($file_type == "configure_help") print " selected";
          print ">" . "configure_help.xx.php" . "</option>";

          if (file_exists($PGV_BASE_DIRECTORY . "rs_functions.php"))
          {
            print "\n\t\t\t<option value=\"rs_lang\"";
            if ($file_type == "rs_lang") print " selected";
            print ">" . "rs_lang.xx.php" . "</option>";
          }

          print "</select>";
        print "</td>";
      print "</tr>";
      print "<tr>";
        print "<td colspan=\"2\" align=\"center\">";
          print "<input type=\"submit\" value=\"" . $pgv_lang["edit"] . "\">";
        print "</td>";
      print "</tr>";
    print "</table>";
  print "</form>";

  if ($action=="edit")
  {
    print "<img src=\"$PGV_IMAGE_DIR\$PGV_HLINE_IMG\" width=\"100%\" height=\"6\"><br /><br />\n";

    print "<font class=\"subheaders\">" . $pgv_lang["listing"] . ": \"";
    switch ($file_type)
    {
      case "lang"		: print $pgv_language["english"] . "\" ";
          			  print $pgv_lang["and"] . " \"";
          			  print $pgv_language[$language2];
          			  // read the english lang.en.php file into array
          			  $english_language_array = array();
          			  $english_language_array = read_complete_file_into_array($pgv_language["english"], "pgv_lang[");
          			  // read the chosen lang.xx.php file into array
          			  $new_language_array = array();
          			  $new_language_array = read_complete_file_into_array($pgv_language[$language2], "pgv_lang[");
          			  break;
      case "facts"		: print $factsfile["english"]."\" ";
          			  print $pgv_lang["and"] . " \"";
          			  print $factsfile[$language2];
          			  // read the english lang.en.php file into array
          			  $english_language_array = array();
          			  $english_language_array = read_complete_file_into_array($factsfile["english"], "factarray[");
          			  // read the chosen lang.xx.php file into array
          			  $new_language_array = array();
          			  $new_language_array = read_complete_file_into_array($factsfile[$language2], "factarray[");
          			  break;
      case "configure_help"	: print $confighelpfile["english"]."\" ";
          			  print $pgv_lang["and"] . " \"";
          			  print $confighelpfile[$language2];
          			  // read the english lang.en.php file into array
          			  $english_language_array = array();
          			  $english_language_array = read_complete_file_into_array($confighelpfile["english"], "pgv_lang[");
          			  // read the chosen lang.xx.php file into array
          			  $new_language_array = array();
          			  $new_language_array = read_complete_file_into_array($confighelpfile[$language2], "pgv_lang[");
          			  break;
      case "rs_lang"		: print $rs_language["english"] . "\" ";
          			  print $pgv_lang["and"] . " \"";
          			  print $rs_language[$language2];
          			  // read the english lang.en.php file into array
          			  $english_language_array = array();
          			  $english_language_array = read_complete_file_into_array($rs_language["english"], "pgv_lang[");
          			  // read the chosen lang.xx.php file into array
          			  $new_language_array = array();
          			  $new_language_array = read_complete_file_into_array($rs_language[$language2], "pgv_lang[");
          			  break;
    }

    print "\"</font><br /><br />\n";
    print "<font class=\"subheaders\">" . $pgv_lang["contents"] . ":</font>";
    print "<table class=\"facts_table\">\n";
      $lastfound = (-1);
      for ($z = 0; $z < sizeof($english_language_array); $z++)
      {
        if (isset($english_language_array[$z][1]))
        {
	  print "<tr>";
	    print "<td class=\"facts_label\" rowspan=\"2\">";
	      print $english_language_array[$z][0];
	    print "</td>\n";
	    print "<td class=\"facts_value\">";
	      print "<i>" . stripslashes(mask_all($english_language_array[$z][1])) . "</i>";
	    print "</td>";
	  print "</tr>\n";

	  print "<tr>\n";
	    print "<td class=\"facts_value\">";

	      $found = false;
	      for ($y = 0; $y < sizeof($new_language_array); $y++)
	      {
	        if (isset($new_language_array[$y][1]))
	        {
	          if ($new_language_array[$y][0] == $english_language_array[$z][0])
	          {
	            $dDummy =  $new_language_array[$y][1];
	            print "<a href=\"#\" onclick=\"return helpPopup('" . "ls01=" . $z . "&ls02=" . $y . "&language2=" . $language2 . "&file_type=" . $file_type . "');\">";
	            print stripslashes(mask_all($dDummy));
	            if (stripslashes(mask_all($dDummy)) == "")
	            {
	              print "<strong style=\"color: #FF0000\">" . str_replace("#LANGUAGE_FILE#", $pgv_language[$language2], $pgv_lang["message_empty_warning"]) . "</strong>";
	            }
	            print "</a>";
	            $found = true;
	            $lastfound = $y;
	            break;
	          }
	        }
	      }
	      if (!$found)
	      {
	        print "<a style=\"color: #FF0000\" href=\"#\" onclick=\"return helpPopup('" . "ls01=" . $z . "&ls02=" . (0 - intval($lastfound) - 1) . "&language2=" . $language2 . "&file_type=" . $file_type . "');\">";
	        print "<i>" . stripslashes(mask_all($english_language_array[$z][1])) . "</i>";
	        print "</a>";
	      }

	    print "</td>";
	  print "</tr>\n";
	}
      }
    print "</table>\n";
  }

print "</center>";
print "<center><sup>(editlang.php - v.$EDIT_LANGUAGE_VERSION)</sup></center>";
print_footer();

?>
