<?php

//-----------------------------------------------------------------
function add_backslash_before_dollarsign($dstring)
{
  $dummy = str_replace(chr(92) . chr(36), chr(36), $dstring);
  $dummy = str_replace(chr(36), chr(92) . chr(36), $dummy);
  return $dummy;
}

//-----------------------------------------------------------------
function crlf_lf_to_br($dstring)
{
  $dummy = str_replace("\r\n", "<br />", $dstring);
  $dummy = str_replace("\n", "<br />", $dummy);
  return $dummy;
}

//-----------------------------------------------------------------
function mask_lt($dstring)
{
  $dummy = str_replace("<", "&lt;", $dstring);
  return $dummy;
}

//-----------------------------------------------------------------
function mask_gt($dstring)
{
  $dummy = str_replace(">", "&gt;", $dstring);
  return $dummy;
}

//-----------------------------------------------------------------
function mask_quot($dstring)
{
  $dummy = str_replace("\"", "&quot;", $dstring);
  return $dummy;
}

//-----------------------------------------------------------------
function mask_amp($dstring)
{
  $dummy = str_replace("&", "&amp;", $dstring);
  return $dummy;
}

//-----------------------------------------------------------------
function mask_all($dstring)
{
  $dummy = mask_lt(mask_gt(mask_quot(mask_amp($dstring))));
  return $dummy;
}

//-----------------------------------------------------------------
function LockFile($Temp_Filename)
{
  while (file_exists($Temp_Filename . ".tmp")){clearstatcache();} # wait till file is deleted
  $fp = fopen($Temp_Filename . ".tmp", "w");
  fclose($fp); # temp-file to block all access to $Filename
}

//-----------------------------------------------------------------
function UnLockFile($Temp_Filename)
{
  while (!@unlink($Temp_Filename . ".tmp")){clearstatcache();} # remove file block
}

//-----------------------------------------------------------------
function read_complete_file_into_array($dFileName, $string_needle)
{
  global $file_type, $language2, $PGV_BASE_DIRECTORY;

  $Filename = $PGV_BASE_DIRECTORY . $dFileName;
  LockFile($Filename);

  $LineCounter = 0;
  $InfoArray = array();
  $dFound = ($fp = @fopen($Filename, "r"));

  if (!$dFound)
  {
    $dFound = ($fp = @fopen($Filename, "w"));
    fwrite($fp, "<?php\r\n");
    fwrite($fp, "\r\n");

    switch ($file_type)
    {
      case "lang"		: break;
      case "facts"		: break;
      case "configure_help"	: fwrite($fp, "/*=================================================" . "\r\n");
      			  	  fwrite($fp, "	Project: phpGedView" . "\r\n");
      			  	  fwrite($fp, "	File: configure_help.en.php" . "\r\n");
      			  	  fwrite($fp, "	Author: John Finlay" . "\r\n");
      			  	  fwrite($fp, "	Comments:" . "\r\n");
      			  	  fwrite($fp, "		" . $language2 . " Language Configure Help file for PHPGedView" . "\r\n");
      			  	  fwrite($fp, "" . "\r\n");
      			  	  fwrite($fp, "	Change Log:" . "\r\n");
      			  	  fwrite($fp, "		" . date("m") . "/" . date("d") . "/" . date("y") . " - File Created" . "\r\n");
      			  	  fwrite($fp, "" . "\r\n");
      			  	  fwrite($fp, "===================================================*/" . "\r\n");
      			  	  fwrite($fp, "" . "\r\n");
      			  	  fwrite($fp, "//-- CONFIGURE FILE MESSAGES" . "\r\n");
      			  	  # echo ord("$"); exit;
      			  	  fwrite($fp, chr(36));
      			  	  fwrite($fp, "pgv_lang[\"configure\"]		= \"Configure PHPGedView\";" . "\r\n");
      			  	  fwrite($fp, "" . "\r\n");
      			  	  break;
      case "rs_lang"		: fwrite($fp, "/*=================================================" . "\r\n");
      			  	  fwrite($fp, "	Project: phpGedView" . "\r\n");
      			  	  fwrite($fp, "	File: rs_lang.en.php" . "\r\n");
      			  	  fwrite($fp, "	Author: John Finlay" . "\r\n");
      			  	  fwrite($fp, "	Developer: Roland Dalmulder" . "\r\n");
      			  	  fwrite($fp, "	Comments:" . "\r\n");
      			  	  fwrite($fp, "		" . $language2 . " Language file for PHPGedView Researchlog" . "\r\n");
      			  	  fwrite($fp, "" . "\r\n");
      			  	  fwrite($fp, "	Change Log:" . "\r\n");
      			  	  fwrite($fp, "		" . date("m") . "/" . date("d") . "/" . date("y") . " - File Created" . "\r\n");
      			  	  fwrite($fp, "" . "\r\n");
      			  	  fwrite($fp, "===================================================*/" . "\r\n");
      			  	  fwrite($fp, "" . "\r\n");
      			  	  fwrite($fp, "// -- " . $language2 . " Date Format" . "\r\n");
      			  	  fwrite($fp, chr(36) . "DATE_FORMAT = \"D M Y\";" . "\r\n");
      			  	  fwrite($fp, "" . "\r\n");
      			  	  fwrite($fp, "// -- RS GENERAL MESSAGES" . "\r\n");
      			  	  # echo ord("$"); exit;
      			  	  fwrite($fp, chr(36));
      			  	  fwrite($fp, "pgv_lang[\"delete\"] 			= \"Delete\";" . "\r\n");
      			  	  fwrite($fp, "" . "\r\n");
      			  	  fwrite($fp, "// -- RS_FOLDER MESSAGES" . "\r\n");
      			  	  fwrite($fp, chr(36));
      			  	  fwrite($fp, "pgv_lang[\"page_header\"] 		= \"Research Log Folders\";" . "\r\n");
      			  	  fwrite($fp, "" . "\r\n");
      			  	  fwrite($fp, "// -- RS_EDITFOLDER MESSAGES" . "\r\n");
      			  	  fwrite($fp, chr(36));
      			  	  fwrite($fp, "pgv_lang[\"edit_research_folder\"] 	= \"Edit Research Folder\";" . "\r\n");
      			  	  fwrite($fp, "" . "\r\n");
      			  	  fwrite($fp, "// -- RS_EDITLOG MESSAGES" . "\r\n");
      			  	  fwrite($fp, chr(36));
      			  	  fwrite($fp, "pgv_lang[\"edit_research_log\"] 		= \"Edit Research Log\";" . "\r\n");
      			  	  fwrite($fp, "" . "\r\n");
      			  	  fwrite($fp, "// -- RS_LOG MESSAGES" . "\r\n");
      			  	  fwrite($fp, chr(36));
      			  	  fwrite($fp, "pgv_lang[\"edit_log_entry\"] 		= \"Edit Research Log Entry\";" . "\r\n");
      			  	  fwrite($fp, "" . "\r\n");
      			  	  fwrite($fp, "// -- RS_LISTLOGS MESSAGES" . "\r\n");
      			  	  fwrite($fp, chr(36));
      			  	  fwrite($fp, "pgv_lang[\"research_logs\"] 		= \"Research Logs\";" . "\r\n");
      			  	  fwrite($fp, "" . "\r\n");
      			  	  fwrite($fp, "// -- RS_FUNCTIONS MESSAGES" . "\r\n");
      			  	  fwrite($fp, chr(36));
      			  	  fwrite($fp, "_SESSION['pgv_lang[\"search\"]'] 	= \"Search\";" . "\r\n");
      			  	  fwrite($fp, "" . "\r\n");
      			  	  fwrite($fp, "// -- RS_SEARCH MESSAGES" . "\r\n");
      			  	  fwrite($fp, chr(36));
      			  	  fwrite($fp, "pgv_lang[\"search_results\"] 		= \"Search Results\";" . "\r\n");
      			  	  fwrite($fp, "" . "\r\n");
      			  	  fwrite($fp, "// -- RS_SEARCH MESSAGES" . "\r\n");
      			  	  fwrite($fp, chr(36));
      			  	  fwrite($fp, "pgv_lang[\"no_folder\"] 			= \"No folder exists yet. Please create a new folder first.\";" . "\r\n");
      			  	  fwrite($fp, "" . "\r\n");
      			  	  break;
    }

    fwrite($fp, "?>");
    fclose($fp);

    $dFound = ($fp = @fopen($Filename, "r"));
  }

  if ($dFound)
  {
    while (!feof($fp))
    {
      $line = fgets($fp, (4 * 1024));
      if ($x = strpos(trim($line), $string_needle))
      {
      	if ($x == 1)
      	{
          $line_mine = $line;
          $line = trim($line);
          $key = trim(substr($line, 0, strpos($line, "]") + 1));
          $ct = preg_match("/=\s*\"(.*)\"/", $line, $match);
          # if ($ct>0) $content = trim($match[1]);
          if ($ct>0) $content = $match[1];
          else $content = "";
          $InfoArray[$LineCounter][0] = $key;				// keystring
          # print "#".$key."# ";
          $InfoArray[$LineCounter][1] = $content;			// message of keystring

          # print "#".$content."#<br>";
          if ($content != "")
          {
            $InfoArray[$LineCounter][2] = strpos($line_mine, $content);	// pos of the first char of the message
          }
          else $InfoArray[$LineCounter][2] = "";

          $InfoArray[$LineCounter][3] = $line_mine;			// complete line
        }
        else {$InfoArray[$LineCounter][0] = $line;}
      }
      else {$InfoArray[$LineCounter][0] = $line;}
      $LineCounter++;
    }
    fclose($fp);
  }
  else print "E R R O R !!!";
  # exit;

  UnLockFile($Filename);

  return $InfoArray;
}

//-----------------------------------------------------------------
function find_in_file($MsgNr, $dlang_file)
{
  global $PGV_BASE_DIRECTORY;
  $openfilename = $PGV_BASE_DIRECTORY . $dlang_file;
  $my_array = @file($openfilename);

  $my_Dummy = $my_array[$MsgNr];

  # $my_Dummy = trim(substr($my_Dummy, strpos($my_Dummy, "=") + 1));
  # $my_Dummy = trim(substr($my_Dummy, strpos($my_Dummy, "\"") + 1));
  # $my_Dummy = trim(substr($my_Dummy, 0, strrpos($my_Dummy, ";") - 1));

  $my_Dummy = trim(substr($my_Dummy, strpos($my_Dummy, "=") + 1));
  # print "#".$my_Dummy."#<br>";
  $my_Dummy = substr($my_Dummy, strpos($my_Dummy, "\"") + 1);
  # print "#".$my_Dummy."#<br>";
  $my_Dummy = substr($my_Dummy, 0, strrpos($my_Dummy, ";") - 1);

  # print "#".$my_Dummy."#"; exit;
  return $my_Dummy;
}

//-----------------------------------------------------------------
function find_key_in_new_language_old($new_array, $string_needle)
{
  $dummy = "";
  $dcount = 0;
  while ($new_array[$dcount] != "")
  {
    if ($new_array[$dcount][0] == $string_needle){return $dcount;}
    $dcount++;
  }
  return false;
}

//-----------------------------------------------------------------
function write_array_into_file($dFileName01, $writeArray, $add_new_message_at_line, $new_message_string)
{
  global $PGV_BASE_DIRECTORY;

  $Filename = $PGV_BASE_DIRECTORY . $dFileName01;
  # $Filename = $PGV_BASE_DIRECTORY . "languages/test.php";
  LockFile($Filename);

  $LineCounter = 0;

  $fp = fopen($Filename, "w");
  foreach($writeArray as $var)
  {
    if ($LineCounter == $add_new_message_at_line)
    {
      fwrite($fp, $new_message_string . "\r\n");
      $LineCounter++;
    }

    if (empty($var[1]))
    {
      if (isset($var[3]))
      {
        fwrite($fp, $var[3]);
      }
      else
      {
        fwrite($fp, $var[0]);
      }
    }
    else
    {
      fwrite($fp, substr($var[3], 0, $var[2]));
      fwrite($fp, $var[1]);
      fwrite($fp, "\";\r\n");
    }
    $LineCounter++;
  }
  fclose($fp);
  UnLockFile($Filename);
}

?>
