<?php
/*=================================================
	Project: phpGedView
	File: indilist.php
	Author: John Finlay
	Comments:
		Parses gedcom file and displays a list of the individuals in the file.

	Change Log:
		8/21/03 - File Created

	phpGedView: Genealogy Viewer
    Copyright (C) 2002 to 2003  John Finlay and Others

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

===================================================*/

require("config.php");
print_header("Individual List");
print "<center>\n";
print "\n\t<h2>".$pgv_lang["individual_list"]."</h2>";
if (empty($surname_sublist)) $surname_sublist = "yes";
if (empty($show_all)) $show_all = "no";

$tindilist = array();

if ((!$ALPHA_INDEX_LISTS)||($show_all=="yes")) {
	$tindilist = get_indi_list();
	uasort($tindilist, "itemsort");
}
else {
	$indialpha = get_indi_alpha();
	foreach($indialpha as $letter=>$list) {
		if (empty($alpha)) $alpha = $letter;
		print "<a href=\"indilist.php?alpha=$letter&amp;surname_sublist=$surname_sublist\">$letter</a> | \n";
	}
	print "<a href=\"indilist.php?show_all=yes&amp;surname_sublist=$surname_sublist\">".$pgv_lang["all"]."</a>\n";
	$tindilist = get_alpha_indis($alpha);
	uasort($tindilist, "itemsort");
}

print "<br /><br /><table class=\"list_table\"><tr>";
if (($surname_sublist=="yes")&&(empty($surname))&&($show_all=="no")) {
	print "<td class=\"list_label\" colspan=\"2\">".$pgv_lang["surnames"]."</td></tr><tr>\n";
	print "<td class=\"list_value\">\n";
	$oldsurname = "";
	$namecount = 0;
	$surnames = array();
	foreach($tindilist as $gid=>$indi) {
		if (showLivingNameByID($gid)||displayDetailsByID($gid)) {
			$name = preg_replace(array("/ [jJsS]r\.?,/", "/ I+,/"), array(",",","), $indi["name"]);
			$names = preg_split("/,/", $name);
			$surname = $names[0];
			if (trim(strtoupper($oldsurname))!=trim(strtoupper($surname))) {
				if (!empty($oldsurname)) $surnames[$oldsurname] = $namecount;
				$namecount=1;
				$oldsurname = $surname;
			}
			else $namecount++;
		}
	}
	if (!empty($oldsurname)) $surnames[$oldsurname] = $namecount;
	$i = 0;
	$count = count($surnames);
	foreach($surnames as $surname=>$namecount) {
		print "<a href=\"indilist.php?alpha=$alpha&amp;surname_sublist=$surname_sublist&amp;surname=".urlencode($surname)."\">$surname - [$namecount]</a><br />\n";
		$i++;
		if ($i==floor($count/2)) print "</td><td class=\"list_value\">\n";
	}
	print "</td>\n";
}
else {
	//-- if the surname is set then only get the names in that surname list
	if ((!empty($surname))&&($surname_sublist=="yes")) {
		$surname = stripslashes($surname);
		$newindilist = array();
		foreach($tindilist as $gid=>$indi) {
			$name = preg_replace("/ [jJsS]r\.?,/", ",", $indi["name"]);
			$names = preg_split("/,/", $name);
			$sname = $names[0];
			if (trim(strtoupper($sname))==trim(strtoupper($surname))) $newindilist[$gid] = $indi;
		}
		$tindilist = $newindilist;
	}
	$ct = count($tindilist);
	$i=0;
	print "<td class=\"list_value\"><ul>\n";
	foreach($tindilist as $gid=>$indi) {
		$disp = displayDetailsByID($gid);
    	if ($disp || showLivingNameByID($gid)) {
			print "<li>";
			print_list_person($gid, array($indi["name"], $indi["file"]));
			print "</li>";
		}
		$i++;
		if ($i == floor($ct/2)) print "</ul></td><td class=\"list_value\"><ul>\n";
	}
	print "</ul></td>\n";
}
print "</tr></table>";
if (!isset($alpha)) $alpha="";
if ($surname_sublist=="yes") print "<br /><a href=\"indilist.php?alpha=$alpha&amp;surname_sublist=no\">".$pgv_lang["skip_surnames"]."</a><br />\n";
else print "<br /><a href=\"indilist.php?alpha=$alpha&amp;surname_sublist=yes\">".$pgv_lang["show_surnames"]."</a><br />\n";
print "</center>\n";
print_footer();

?>
