<?php
/*=================================================
	Project: phpGedView
	File: langdiff.php
	Author: John Finlay
	Comments:
		Display a diff between two language files to
		help in translating.

	Change Log:
		5/30/03 - File Created
		06/15/03 - changed the string "pgv_lang" in line 127 into "factarray"
		         - added comparison of the configure_help.xx.ph - files

	phpGedView: Genealogy Viewer
    Copyright (C) 2002 to 2003  John Finlay and Others

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
===================================================*/

require "config.php";

if (!isset($action)) $action="";
if (!isset($language1)) $language1="english";
if (!isset($language2)) $language2="";

print_header("Language File Diff");
?>
<center>
<h2>Language File Diff Utility</h2>
This utility will compare two language files and provide a list of
the additions and subtractions between them.<br /><br />See the <a href="languages\LANG_CHANGELOG.txt">languages\LANG_CHANGELOG.txt</a>
for other language changes.<br /><br />
<form method="get">
<input type="hidden" name="action" value="diff">
<table width="50%">
	<tr>
		<td align="center">New Language:<br />
			<select name="language1">
			<?php
			foreach ($pgv_language as $key=>$value) {
				print "\n\t\t\t<option value=\"$key\"";
				if ($key==$language1) print " selected";
				print ">".$pgv_lang[$key]."</option>";
			}
			?>
			</select>
		</td>
		<td align="center">Old Langauge:<br />
			<select name="language2">
			<?php
			foreach ($pgv_language as $key=>$value) {
				print "\n\t\t\t<option value=\"$key\"";
				if ($key==$language2) print " selected";
				print ">".$pgv_lang[$key]."</option>";
			}
			?>
			</select>
		</td>
	</tr>
	<tr>
		<td colspan="2" align="center">
			<input type="submit" value="Compare">
		</td>
	</tr>
</table>
</form>
<?php
if ($action=="diff") {
	print "<img src=\"$PGV_IMAGE_DIR\$PGV_HLINE_IMG\" width=\"100%\" height=\"6\"><br />\n";
	print "<font class=\"subheaders\">Comparing \"".$pgv_language[$language1]."\" to \"".$pgv_language[$language2]."\"</font><br /><br />\n";
	$pgv_lang=array();
	require $PGV_BASE_DIRECTORY.$pgv_language[$language1];
	$lang1 = $pgv_lang;
	$pgv_lang=array();
	require $PGV_BASE_DIRECTORY.$pgv_language[$language2];
	print "<font class=\"subheaders\">Additions:</font><table class=\"facts_table\">\n";
	$count=0;
	foreach($lang1 as $key=>$value) {
		if (!array_key_exists($key, $pgv_lang)) {
			print "<tr><td class=\"facts_label\">\$pgv_lang[\"$key\"]</td>\n";
			print "<td class=\"facts_value\">\"$value\";</td></tr>\n";
			$count++;
		}
	}
	if ($count==0) {
		print "<tr><td colspan=2 class=\"facts_value\">No Additions</td></tr>\n";
	}
	print "</table><br /><br />\n";
	print "<font class=\"subheaders\">Subtractions:</font>:<table class=\"facts_table\">\n";
	$count=0;
	foreach($pgv_lang as $key=>$value) {
		if (!array_key_exists($key, $lang1)) {
			print "<tr><td class=\"facts_label\">\$pgv_lang[\"$key\"]</td>\n";
			print "<td class=\"facts_value\">\"$value\";</td></tr>\n";
			$count++;
		}
	}
	if ($count==0) {
		print "<tr><td colspan=2 class=\"facts_value\">No Subtractions</td></tr>\n";
	}
	print "</table><br /><br />\n";

	print "<img src=\"$PGV_IMAGE_DIR\$PGV_HLINE_IMG\" width=\"100%\" height=\"6\"><br />\n";
	print "<font class=\"subheaders\">Comparing \"".$factsfile[$language1]."\" to \"".$factsfile[$language2]."\"<br /><br /></font>\n";
	$factsarray=array();
	require $PGV_BASE_DIRECTORY.$factsfile[$language1];
	$lang1 = $factarray;
	$factsarray=array();
	require $PGV_BASE_DIRECTORY.$factsfile[$language2];
	print "<font class=\"subheaders\">Additions:</font><table class=\"facts_table\">\n";
	$count=0;
	foreach($lang1 as $key=>$value) {
		if (!array_key_exists($key, $factarray)) {
			print "<tr><td class=\"facts_label\">\$factarray[\"$key\"]</td>\n";
			print "<td class=\"facts_value\">\"$value\";</td></tr>\n";
			$count++;
		}
	}
	if ($count==0) {
		print "<tr><td colspan=2 class=\"facts_value\">No Additions</td></tr>\n";
	}
	print "</table><br /><br />\n";
	print "<font class=\"subheaders\">Subtractions:</font><table class=\"facts_table\">\n";
	$count=0;
	foreach($factarray as $key=>$value) {
		if (!array_key_exists($key, $lang1)) {
			print "<tr><td class=\"facts_label\">\$pgv_lang[\"$key\"]</td>\n";
			print "<td class=\"facts_value\">\"$value\";</td></tr>\n";
			$count++;
		}
	}
	if ($count==0) {
		print "<tr><td colspan=2 class=\"facts_value\">No Subtractions</td></tr>\n";
	}
	print "</table><br /><br />\n";

	if (file_exists($confighelpfile[$language2]))
	{
      	print "<img src=\"$PGV_IMAGE_DIR\$PGV_HLINE_IMG\" width=\"100%\" height=\"6\"><br />\n";
      	print "<font class=\"subheaders\">Comparing \"".$confighelpfile[$language1]."\" to \"".$confighelpfile[$language2]."\"</font><br /><br />\n";
      	$pgv_lang=array();
      	require $PGV_BASE_DIRECTORY.$confighelpfile[$language1];
      	$lang1 = $pgv_lang;
      	$pgv_lang=array();
      	require $PGV_BASE_DIRECTORY.$confighelpfile[$language2];
      	print "<font class=\"subheaders\">Additions:</font><table class=\"facts_table\">\n";
      	$count=0;
      	foreach($lang1 as $key=>$value) {
      		if (!array_key_exists($key, $pgv_lang)) {
      			print "<tr><td class=\"facts_label\">\$pgv_lang[\"$key\"]</td>\n";
      			print "<td class=\"facts_value\">\"$value\";</td></tr>\n";
      			$count++;
      		}
      	}
      	if ($count==0) {
      		print "<tr><td colspan=2 class=\"facts_value\">No Additions</td></tr>\n";
      	}
      	print "</table><br /><br />\n";
      	print "<font class=\"subheaders\">Subtractions:</font>:<table class=\"facts_table\">\n";
      	$count=0;
      	foreach($pgv_lang as $key=>$value) {
      		if (!array_key_exists($key, $lang1)) {
      			print "<tr><td class=\"facts_label\">\$pgv_lang[\"$key\"]</td>\n";
      			print "<td class=\"facts_value\">\"$value\";</td></tr>\n";
      			$count++;
      		}
      	}
      	if ($count==0) {
      		print "<tr><td colspan=2 class=\"facts_value\">No Subtractions</td></tr>\n";
      	}
      	print "</table><br /><br />\n";
	}
}

print_footer();
?>