<?php
/*=================================================
	charset=utf-8
	Project: phpGedView
	File: facts.da.php
	Author: John Finlay
	Translation: Arne Eckmann /Gert Krabsen
	Input Variables: $pid
	Comments:
		Defines an array of GEDCOM codes and the english name facts that they represent.

	Change Log:
		8/5/02 - File Created
===================================================*/

// -- Define a fact array to map Gedcom tags with their English values
$factarray["ABBR"] = "Forkortelse";

$factarray["ADDR"] = "Adresse";

$factarray["ADR1"] = "Adresse 1";

$factarray["ADR2"] = "Adresse 2";

$factarray["ADOP"] = "Adoption";

$factarray["AFN"]  = "Ancestral File Number (AFN)";

$factarray["AGE"]  = "Alder";

$factarray["AGNC"] = "Agentur";

$factarray["ALIA"] = "Alias";

$factarray["ANCE"] = "Forf&aelig;dre";

$factarray["ANCI"] = "Ane forbindelse";

$factarray["ANUL"] = "Annullering";

$factarray["ASSO"] = "Associates";

$factarray["AUTH"] = "Forfatter";

$factarray["BAPL"] = "LDS Baptism";

$factarray["BAPM"] = "D&aring;b";

$factarray["BARM"] = "Bar Mitzvah";

$factarray["BASM"] = "Bas Mitzvah";

$factarray["BIRT"] = "F&oslash;dsel";

$factarray["BLES"] = "Velsignelse";

$factarray["BLOB"] = "Bin&aelig;r dataobjekt";

$factarray["BURI"] = "Begravelse";

$factarray["CALN"] = "Kaldenummer";

$factarray["CAST"] = "Kaste / Social status";

$factarray["CAUS"] = "D&oslash;ds&aring;rsag";

$factarray["CENS"] = "Folket&aelig;lling";

$factarray["CHAN"] = "Seneste &aelig;ndring";

$factarray["CHAR"] = "Karakters&aelig;t";

$factarray["CHIL"] = "Barn";

$factarray["CHR"]  = "Barned&aring;b";

$factarray["CHRA"] = "Voksend&aring;b";

$factarray["CITY"] = "By";

$factarray["CONF"] = "Konfirmation";

$factarray["CONL"] = "LDS Confirmation";

$factarray["COPR"] = "Ophavsret";

$factarray["CORP"] = "Corporation / Firma";

$factarray["CREM"] = "Kremering";

$factarray["CTRY"] = "Land";

$factarray["DATE"] = "Dato";

$factarray["DATA"] = "Data";

$factarray["DEAT"] = "D&oslash;dsfald";

$factarray["DESC"] = "Afstamning";

$factarray["DESI"] = "Efterkommer forbindelse";

$factarray["DEST"] = "Destination";

$factarray["DIV"]  = "Skilsmisse";

$factarray["DIVF"] = "Skilsmisebeg&aelig;ring";

$factarray["DSCR"] = "Beskrivelse";

$factarray["EDUC"] = "Uddannelse";

$factarray["EMIG"] = "Udvandring";

$factarray["ENDL"] = "LDS Endowment";

$factarray["ENGA"] = "Forlovelse";

$factarray["EVEN"] = "Begivenhed";

$factarray["FAM"]  = "Familie";

$factarray["FAMC"] = "Familie som barn";

$factarray["FAMF"] = "Familiefile";

$factarray["FAMS"] = "Familie som partner";

$factarray["FCOM"] = "F&oslash;rste kommunion";

$factarray["FILE"] = "Ekstern fil:";

$factarray["FORM"] = "Format:";

$factarray["GIVN"] = "Fornavn(e)";

$factarray["GRAD"] = "Graduering";

$factarray["IDNO"] = "Identifikationsnummer";

$factarray["IMMI"] = "Indvandring";

$factarray["LEGA"] = "Arving";

$factarray["MARB"] = "Lysning";

$factarray["MARC"] = "&AElig;gteskabskontrakt";

$factarray["MARL"] = "&AElig;gteskabsbrev";

$factarray["MARR"] = "&AElig;gteskab";

$factarray["MARS"] = "Marriage Settlement";

$factarray["NAME"] = "Navn";

$factarray["NATI"] = "Nationalitet";

$factarray["NATU"] = "Naturalisering";

$factarray["NCHI"] = "Antal b&oslash;rn";

$factarray["NICK"] = "&Oslash;ge/k&aelig;le -navn";

$factarray["NMR"]  = "Antal &aelig;gteskaber";

$factarray["NOTE"] = "Notat";

$factarray["NPFX"] = "Pr&aelig;fiks";

$factarray["NSFX"] = "Suffiks";

$factarray["OBJE"] = "Multimedia objekt";

$factarray["OCCU"] = "Erhverv";

$factarray["ORDI"] = "Ordinance";

$factarray["ORDN"] = "Ordination";

$factarray["PAGE"] = "Citations detaljer";

$factarray["PEDI"] = "Pedigree";

$factarray["PLAC"] = "Stednavn";

$factarray["PHON"] = "Tlf.";

$factarray["POST"] = "Postnummer";

$factarray["PROB"] = "Skifte";

$factarray["PROP"] = "Ejendom";

$factarray["PUBL"] = "Publikation";

$factarray["QUAY"] = "Datakvalitet";

$factarray["REPO"] = "Opbevaringssted";

$factarray["REFN"] = "Referencenummer";

$factarray["RELI"] = "Religion";

$factarray["RESI"] = "Bop&aelig;l";

$factarray["RESN"] = "Restriction";

$factarray["RETI"] = "Pensionering";

$factarray["RFN"]  = "Record fil nummer";

$factarray["RIN"]  = "Record ID nummer";

$factarray["ROLE"] = "Rolle";

$factarray["SEX"]  = "K&oslash;n";

$factarray["SLGC"] = "LDS Child Sealing";

$factarray["SLGS"] = "LDS Spouse Sealing";

$factarray["SOUR"] = "Kilde";

$factarray["SPFX"] = "Efternavns pr&aelig;fiks";

$factarray["SSN"]  = "Social Security Number";

$factarray["STAE"] = "State";

$factarray["STAT"] = "Status";

$factarray["SUBM"] = "Submitter";

$factarray["SUBN"] = "Submission";

$factarray["SURN"] = "Efternavn";

$factarray["TEMP"] = "Tempel";

$factarray["TEXT"] = "Tekst";

$factarray["TIME"] = "Time";

$factarray["TITL"] = "Titel";

$factarray["TYPE"] = "Type";

$factarray["WILL"] = "Testamente";

$factarray["_EMAIL"] = "E-mail adresse";

$factarray["EMAIL"] = "E-mail adresse";

$factarray["_TODO"] = "Mangler at blive gjort";

$factarray["_UID"] = "Universal Identifikator";

// These facts are specific to gedcom exports from Family Tree Maker
$factarray["_MDCL"] = "Helbred";

$factarray["_DEG"] = "Akademisk grad";

$factarray["_MILT"] = "Milit&aelig;rtjeneste";

$factarray["_SEPR"] = "Separeret";

$factarray["_DETS"] = "Samlevers d&oslash;d";

$factarray["CITN"] = "Statsborgerskab";

$factarray["_ADPF"] = "Adopteret af far";

$factarray["_ADPM"] = "Adopteret af mor";

// These facts are specific to gedcom exports from Brothers Keeper
$factarray["_MARN"] = "Tilgiftet navn";

$factarray["_SLDN"] = "Soldaternavn";

$factarray["_AKAN"] = "Alias";

$factarray["_BRTM"] = "Brit mila";

$factarray["_CENN"] = "Navn i folket&aelig;lling";

$factarray["_SHON"] = "Kort navn";

$factarray["_INDN"] = "Indiansk navn";

$factarray["_HEBN"] = "Hebraisk navn";

$factarray["_FARN"] = "G&aring;rdnavn";

$factarray["_BIRN"] = "F&oslash;denavn";

$factarray["_FKAN"] = "Formelt kendt som";

$factarray["_CURN"] = "Brugsnavn";

$factarray["_OTHN"] = "Andet navn";

$factarray["_ADPN"] = "Adoptivnavn";

$factarray["_EYEC"] = "&Oslash;jenfarve";

$factarray["_WEIG"] = "V&aelig;gt";

$factarray["_YART"] = "Yartzeit";

$factarray["_NMR"] = "Ugift";

$factarray["_COML"] = "Samlevende";

$factarray["_MILI"] = "Milit&aelig;rtjeneste";

$factarray["_NMR "] = "Ugift";

$factarray["_NLIV"] = "Lever ikke";

$factarray["_HAIR"] = "H&aring;rfarve";

$factarray["_HEIG"] = "H&oslash;jde";

$factarray["_INTE"] = "Interneret";

$factarray["_MARI"] = "Marriage intention";

$factarray["_MBON"] = "Marriage bond";

$factarray["_MEDC"] = "Helbred";

$factarray["_FNRL"] = "Bis&aelig;ttelse";

$factarray["_NMAR"] = "Aldrig gift";

$factarray["_PRMN"] = "Permanent nummer";


if (file_exists($PGV_BASE_DIRECTORY . "languages/facts.da.extra.php")) require $PGV_BASE_DIRECTORY . "languages/facts.da.extra.php";

?>