<?php
/*=================================================
        charset=utf-8
        Projekt: phpGedView
        Datei: facts.ge.php
        Autor: John Finlay
        Übersetzung: Bach Jürgen
                     Norgaz Kurt
                     Pluntke Peter

        Bemerkungen:
                Definiert ein Array von GEDCOM codes und die Deutsche Bezeichnung dessen, was diese enthalten.

        Aufzeichnung der Änderungen:
        + bedeutet hinzugefügt
        - bedeutet entfernt
        * bedeutet geändert

        05.08.2002 - Datei erstellt
        09.04.2003 * $factarray["RIN"]
                   * $factarray["NICK"]
                   * $factarray["IDNO"]
                   * $factarray["FAMF"]
                   * $factarray["CONL"]
                   * $factarray["CALN"]
        18.05.2003 + charset=utf-8 in den Header aufgenommen, um das Erkennen als UTF-8-Datei zu gewährleisten
        15.06.2003 + $factarray["REPO"]
                   + $factarray["_MDCL"]
                   + $factarray["_DEG"]
                   + $factarray["_MILT"]
                   + $factarray["_SEPR"]
                   + $factarray["_DETS"]
        27.06.2003 + $factarray["CITN"]

===================================================*/

// -- Define a fact array to map Gedcom tags with their English values
$factarray["ABBR"]   = "Abkürzung";
$factarray["ADDR"]   = "Adresse";
$factarray["ADR1"]   = "Adresse 1";
$factarray["ADR2"]   = "Adresse 2";
$factarray["ADOP"]   = "Adoption";
$factarray["AFN"]    = "Vorfahren Nummer (AFN)";
$factarray["AGE"]    = "Alter";
$factarray["AGNC"]   = "Büro";
$factarray["ALIA"]   = "Alias";
$factarray["ANCE"]   = "Vorfahren";
$factarray["ANCI"]   = "Vorfahren Interesse";
$factarray["ANUL"]   = "Annullierung";
$factarray["ASSO"]   = "Vereinigung";
$factarray["AUTH"]   = "Verfasser";
$factarray["BAPL"]   = "LDS Taufe";
$factarray["BAPM"]   = "Taufe";
$factarray["BARM"]   = "Bar Mitzvah";
$factarray["BASM"]   = "Bas Mitzvah";
$factarray["BIRT"]   = "Geburt";
$factarray["BLES"]   = "Segen";
$factarray["BLOB"]   = "Binäres Daten-Objekt";
$factarray["BURI"]   = "Beerdigung";
$factarray["CALN"]   = "Rufnummer";
$factarray["CAST"]   = "Kaste / Soziale Stellung / Status";
$factarray["CAUS"] = "Todesursache";
$factarray["CENS"]   = "Volkszählung";
$factarray["CHAN"]   = "Letzte Änderung";
$factarray["CHAR"]   = "Zeichensatz";
$factarray["CHIL"]   = "Kind";
$factarray["CHR"]    = "Kleinkind Taufe";
$factarray["CHRA"]   = "Erwachsenen Taufe";
$factarray["CITY"]   = "Stadt";
$factarray["CONF"]   = "Konfirmation";
$factarray["CONL"]   = "LDS Konfirmation";
$factarray["COPR"]   = "Copyright";
$factarray["CORP"]   = "Firma";
$factarray["CREM"]   = "Einäscherung";
$factarray["CTRY"]   = "Land";
$factarray["DATA"]   = "Daten";
$factarray["DATE"] = "Datum";
$factarray["DEAT"]   = "Tod";
$factarray["DESC"]   = "Nachfahren";
$factarray["DESI"]   = "Nachfahren Interesse";
$factarray["DEST"]   = "Bestimmung";
$factarray["DIV"]    = "Scheidung";
$factarray["DIVF"]   = "Scheidungsakte";
$factarray["DSCR"]   = "Beschreibung";
$factarray["EDUC"]   = "Ausbildung";
$factarray["EMIG"]   = "Auswanderung";
$factarray["ENDL"]   = "LDS Endowment";
$factarray["ENGA"]   = "Verlobung";
$factarray["EVEN"]   = "Ereignis";
$factarray["FAM"]    = "Familie";
$factarray["FAMC"]   = "Familie als Kind";
$factarray["FAMF"]   = "Familien-Akte";
$factarray["FAMS"]   = "Familie als Ehepartner";
$factarray["FCOM"]   = "Erstkommunion";
$factarray["FILE"]   = "Externe Datei";
$factarray["FORM"]   = "Format";
$factarray["GIVN"]   = "Vorname(n)";
$factarray["GRAD"]   = "Schulabschluß";
$factarray["IDNO"]   = "Identifikationsnummer";
$factarray["IMMI"]   = "Einwanderung";
$factarray["LEGA"]   = "Erbe";
$factarray["MARB"]   = "Marriage Bann";
$factarray["MARC"]   = "Ehevertrag";
$factarray["MARL"]   = "Ehegenehmigung";
$factarray["MARR"]   = "Heirat";
$factarray["MARS"]   = "Marriage Settlement";
$factarray["NAME"]   = "Name";
$factarray["NATI"]   = "Nationalität";
$factarray["NATU"]   = "Einbürgerung";
$factarray["NCHI"]   = "Anzahl der Kinder";
$factarray["NICK"]   = "Spitzname";
$factarray["NMR"]    = "Anzahl der Ehen";
$factarray["NOTE"]   = "Notiz";
$factarray["NPFX"]   = "Titel / Präfix";
$factarray["NSFX"]   = "Namenszusatz";
$factarray["OBJE"]   = "Multimedia Objekt";
$factarray["OCCU"]   = "Beruf";
$factarray["ORDI"]   = "Anordnung";
$factarray["ORDN"]   = "Ordination";
$factarray["PAGE"]   = "Auszeichnungs Details";
$factarray["PEDI"]   = "Stammbaum";
$factarray["PLAC"]   = "Ort";
$factarray["PHON"]   = "Telefon";
$factarray["POST"]   = "Postleitzahl";
$factarray["PROB"]   = "Bestätigung";
$factarray["PROP"]   = "Besitz";
$factarray["PUBL"]   = "Veröffentlichung";
$factarray["QUAY"]   = "Qualität der Daten";
$factarray["REPO"]   = "Lagerort";
$factarray["REFN"]   = "Referenz Nummer";
$factarray["RELI"]   = "Religion";
$factarray["RESI"]   = "Haus";
$factarray["RESN"]   = "Einschränkung";
$factarray["RETI"]   = "Ausscheiden";
$factarray["RFN"]    = "Datensatznummer";
$factarray["RIN"]    = "Daten ID-Nummer";
$factarray["ROLE"]   = "Rolle";
$factarray["SEX"]    = "Geschlecht";
$factarray["SLGC"]   = "LDS Kindes-Sealing";
$factarray["SLGS"]   = "LDS Ehepartner-Sealing";
$factarray["SOUR"]   = "Quelle";
$factarray["SPFX"]   = "Nachnamenszusatz";
$factarray["SSN"]    = "Sozialversicherungs-Nummer";
$factarray["STAE"]   = "Staat";
$factarray["STAT"]   = "Status";
$factarray["SUBM"]   = "Übermittler";
$factarray["SUBN"]   = "Übermittlung";
$factarray["SURN"]   = "Nachname";
$factarray["TEMP"]   = "Tempel";
$factarray["TEXT"]   = "Text";
$factarray["TIME"]   = "Zeit";
$factarray["TITL"]   = "Titel";
$factarray["TYPE"] = "Typ";
$factarray["WILL"]   = "Testament";
$factarray["_EMAIL"] = "Email-Adresse";
$factarray["EMAIL"] = "Email-Addresse";
$factarray["_TODO"]  = "ToDo";
$factarray["_UID"]   = "Universelle<br />Identifikationsnummer<br />(UID)";

// These facts are specific to gedcom exports from Family Tree Maker
$factarray["_MDCL"] = "Medizinische Information";
$factarray["_DEG"]  = "Akademischer Grad";
$factarray["_MILT"] = "Militärdienst";
$factarray["_SEPR"] = "Getrennt";
$factarray["_DETS"] = "Tot eines Ehepartners";
$factarray["CITN"]  = "Staatsangehörigkeit";
// Other common customized facts
$factarray["_ADPF"] = "Vom Vater adoptiert";
$factarray["_ADPM"] = "Von der Mutter adoptiert";
$factarray["_AKAN"] = "Name auch";
$factarray["_BRTM"] = "Brit mila";
$factarray["_COML"] = "eheähnliche Lebensgemeinschaft";
$factarray["_EYEC"] = "Augenfarbe";
$factarray["_FNRL"] = "Bestattung";
$factarray["_HAIR"] = "Haarfarbe";
$factarray["_HEIG"] = "Größe";
$factarray["_INTE"] = "Begraben";
$factarray["_MARI"] = "Heiratsabsicht";
$factarray["_MBON"] = "Verlobung";
$factarray["_MEDC"] = "Gesundheitszustand";
$factarray["_MILI"] = "Militär";
$factarray["_NMR "] = "unverheiratet";
$factarray["_NLIV"] = "nicht lebend";
$factarray["_NMAR"] = "nie verheiratet";
$factarray["_PRMN"] = "Permanent Number";
$factarray["_SEPR"] = "Separated";
$factarray["_WEIG"] = "Gewicht";
$factarray["_YART"] = "Yartzeit";

if (file_exists($PGV_BASE_DIRECTORY . "languages/facts.ge.extra.php")) require $PGV_BASE_DIRECTORY . "languages/facts.ge.extra.php";

?>