<?php
/*=================================================
	charset=utf-8
	Projekt: phpGedView
	Datei: facts.tr.php
	Autor: John Finlay
	Übersetzung: Norgaz Kurt

	Bemerkungen:
		Definiert ein Array von GEDCOM codes und die Deutsche Bezeichnung dessen, was diese enthalten.

	Aufzeichnung der Änderungen:
	+ bedeutet hinzugefügt
	- bedeutet entfernt
	* bedeutet geändert

	09.04.2003	- File created using facts.en.php v1.23
			* space before equal-sign convertet into tab-sign
	19.07.2003	+ $factarray["REPO"]
			+ $factarray["_MDCL"]
			+ $factarray["_DEG"]
			+ $factarray["_MILT"]
			+ $factarray["_SEPR"]
			+ $factarray["_DETS"]
			+ $factarray["CITN"]

===================================================*/

// -- Define a fact array to map Gedcom tags with their Turkish values
# $factarray = array();
$factarray["ABBR"]	= "Abbreviation";
$factarray["ADR2"]	= "2. adres";
$factarray["ADR1"]	= "1. adres";
$factarray["ADDR"]	= "Adres";
$factarray["AGE"]	= "Yaşı";
$factarray["ALIA"]	= "Takma adı";
$factarray["AUTH"]	= "Yazar";
$factarray["BIRT"]	= "Doğum tarihi";
$factarray["BURI"]	= "Gömülüş tarihi";
$factarray["CALN"]	= "Telefon numarası";
$factarray["CHAN"]	= "Son değişiklik";
$factarray["CHIL"]	= "Çocuk";
$factarray["CITY"]	= "Şehir";
$factarray["CTRY"]	= "Ülke";
$factarray["DEAT"]	= "Vefaat tarihi";
$factarray["DIV"]	= "Boşanma tarihi";
$factarray["DIVF"]	= "Boşanma dosyası";
$factarray["DSCR"]	= "Tarif";
$factarray["EDUC"]	= "Eğitim";
$factarray["ENGA"]	= "Nişan tarihi";
$factarray["FAM"]	= "Aile";
$factarray["GIVN"]	= "Verilen isim(ler)";
$factarray["MARR"]	= "Evlilik tarihi";
$factarray["NAME"]	= "Soyisim";
$factarray["NATI"]	= "Vatandaşlık";
$factarray["NICK"]	= "Lakabı";
$factarray["NCHI"]	= "Çocuk sayısı";
$factarray["NMR"]	= "Evlilik sayısı";
$factarray["NOTE"]	= "Not";
$factarray["OBJE"]	= "Multimedya nesnesi";
$factarray["OCCU"]	= "Meslek";
$factarray["PLAC"]	= "Yer";
$factarray["PHON"]	= "Telefon";
$factarray["POST"]	= "Posta kodu";
$factarray["REPO"]	= "Depolanan yer";
$factarray["RELI"]	= "Din";
$factarray["RESI"]	= "Ev";
$factarray["SEX"]	= "Cinsiyet";
$factarray["SOUR"]	= "Kaynak";
$factarray["SURN"]	= "Soyisim";
$factarray["TIME"]	= "Saat";
$factarray["_EMAIL"]	= "Email adresi";
$factarray["_TODO"]	= "yapılması gereken iş";

// These facts are specific to gedcom exports from Family Tree Maker
$factarray["_MDCL"]	= "Sağlıksal bilgiler";
$factarray["_DEG"]	= "Akademischer Grad";
$factarray["_MILT"]	= "Askerlik";
$factarray["_SEPR"]	= "Ayrılmış";
$factarray["_DETS"]	= "Bir eşin vefaati";
$factarray["CITN"]	= "Vatandaşlık";

if (file_exists($PGV_BASE_DIRECTORY . "languages/facts.tr.extra.php")) require $PGV_BASE_DIRECTORY . "languages/facts.tr.extra.php";

?>