<?php
/*=================================================
   Project: phpGedView
   File: session.php
   Author: John Finlay
   Comments:
      Startup and session logic

   phpGedView: Genealogy Viewer
    Copyright (C) 2002 to 2003  John Finlay and Others

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
===================================================*/

ini_set('arg_separator.output', '&amp;');
ini_set ('error_reporting', E_ALL);
ini_set('display_errors', '1');

$memory_limit = ini_get('memory_limit');
if ($memory_limit < 16) {
	ini_set('memory_limit', '16M');
}

set_magic_quotes_runtime(0);

if ((empty($PHP_SELF))&&(!empty($_SERVER["PHP_SELF"]))) $PHP_SELF=$_SERVER["PHP_SELF"];
if (!empty($_SERVER["QUERY_STRING"])) $QUERY_STRING = $_SERVER["QUERY_STRING"];
else $QUERY_STRING="";
$QUERY_STRING = preg_replace("/&/", "&amp;", $QUERY_STRING);

//-- if not configured then redirect to the configuration script
if (!$CONFIGURED) {
   if ((strstr($PHP_SELF, "admin.php")===false)
   &&(strstr($PHP_SELF, "login.php")===false)
   &&(strstr($PHP_SELF, "editconfig.php")===false)
   &&(strstr($PHP_SELF, "editconfig_help.php")===false)) {
      header("Location: editconfig.php");
      exit;
   }
}
//-- allow user to cancel
ignore_user_abort(false);
//--load common functions
require($PGV_BASE_DIRECTORY."functions.php");
//-- load db specific functions
if (isset($_POST["PGV_DATABASE"])) $PGV_DATABASE = $_POST["PGV_DATABASE"];
require($PGV_BASE_DIRECTORY."functions_$PGV_DATABASE.php");

//-- setup execution timer
$start_time = getmicrotime();

//-- version of phpgedview
$VERSION = "2.61.1";
$VERSION_RELEASE = "Final";

//-- start the php session
session_set_cookie_params($PGV_SESSION_TIME);
if (!empty($PGV_SESSION_SAVE_PATH)) session_save_path($PGV_SESSION_SAVE_PATH);
session_start();

if (isset($_REQUEST["GEDCOM"])){
   $_REQUEST["GEDCOM"] = trim($_REQUEST["GEDCOM"]);
}
if (empty($_REQUEST["GEDCOM"])) {
   if (isset($_SESSION["GEDCOM"])) $GEDCOM = $_SESSION["GEDCOM"];
   else {
      if ((empty($GEDCOM))||(empty($GEDCOMS[$GEDCOM]))) $GEDCOM=$DEFAULT_GEDCOM;
      if ((empty($GEDCOM))&&(count($GEDCOMS)>0)) {
         $gedkeys = array_keys($GEDCOMS);
         $GEDCOM = $gedkeys[0];
      }
   }
}
else {
	$GEDCOM = $_REQUEST["GEDCOM"];
}
$_SESSION["GEDCOM"] = $GEDCOM;

require($PGV_BASE_DIRECTORY."config_gedcom.php");
require(get_config_file());

if (empty($PEDIGREE_GENERATIONS)) $PEDIGREE_GENERATIONS = $DEFAULT_PEDIGREE_GENERATIONS;

if (($ENABLE_MULTI_LANGUAGE)&&(empty($_SESSION["CLANGUAGE"]))) {
   require($PGV_BASE_DIRECTORY.'languages/langcodes.php');
   if (isset($HTTP_ACCEPT_LANGUAGE)) $accept_langs = $HTTP_ACCEPT_LANGUAGE;
   else if (!empty($_SERVER['HTTP_ACCEPT_LANGUAGE'])) $accept_langs = $_SERVER['HTTP_ACCEPT_LANGUAGE'];
   if (isset($accept_langs)) {
      if (strstr($accept_langs, ",")) {
         $langs_array = preg_split("/(,\s*)|(;\s*)/", $accept_langs);
         for ($i=0; $i<count($langs_array); $i++) {
            if (!empty($langcode[$langs_array[$i]])) {
               $LANGUAGE = $langcode[$langs_array[$i]];
               break;
            }
         }
      }
      else {
         if (!empty($langcode[$accept_langs])) $LANGUAGE = $langcode[$accept_langs];
      }
   }
}
$deflang = $LANGUAGE;

//-- import the post, get, and cookie variable into the scope on new versions of php
if (phpversion() >= '4.1') @import_request_variables("cgp");
require($AUTHENTICATION_MODULE);      // -- load the authentication system
$pgv_username = getUserName();
$tempuser = getUser($pgv_username);
if ($tempuser) {
	if (!empty($tempuser["language"])) $LANGUAGE = $tempuser["language"];
}
if (isset($_SESSION['CLANGUAGE'])) $CLANGUAGE = $_SESSION['CLANGUAGE'];
else if (isset($HTTP_SESSION_VARS['CLANGUAGE'])) $CLANGUAGE = $HTTP_SESSION_VARS['CLANGUAGE'];
if (isset($CLANGUAGE)) {
   $LANGUAGE = $CLANGUAGE;
}

if ($ENABLE_MULTI_LANGUAGE) {
   if ((isset($changelanguage))&&($changelanguage=="yes")) {
      if (!empty($NEWLANGUAGE)) $LANGUAGE=$NEWLANGUAGE;
   }
}

$pgv_language["danish"]      ="languages/lang.da.php";
$pgv_language["german"]      ="languages/lang.ge.php";
$pgv_language["english"]   ="languages/lang.en.php";
$pgv_language["spanish"]   ="languages/lang.es.php";
$pgv_language["french"]      ="languages/lang.fr.php";
$pgv_language["italian"]   ="languages/lang.it.php";
$pgv_language["dutch"]      ="languages/lang.nl.php";
$pgv_language["polish"]      ="languages/lang.pl.php";
$pgv_language["russian"]   ="languages/lang.ru.php";
$pgv_language["swedish"]   ="languages/lang.sv.php";
$pgv_language["turkish"]   ="languages/lang.tr.php";
$pgv_language["chinese"]   ="languages/lang.zh.php";

$factsfile["english"]   = "languages/facts.en.php";
$factsfile["spanish"]   = "languages/facts.es.php";
$factsfile["french"]   = "languages/facts.fr.php";
$factsfile["dutch"]      = "languages/facts.nl.php";
$factsfile["german"]   = "languages/facts.ge.php";
$factsfile["russian"]   = "languages/facts.ru.php";
$factsfile["italian"]   = "languages/facts.it.php";
$factsfile["polish"]   = "languages/facts.pl.php";
$factsfile["turkish"]   = "languages/facts.tr.php";
$factsfile["swedish"]   = "languages/facts.sv.php";
$factsfile["danish"]   = "languages/facts.da.php";
$factsfile["chinese"]   = "languages/facts.zh.php";

$confighelpfile["english"]   = "languages/configure_help.en.php";
$confighelpfile["spanish"]   = "languages/configure_help.es.php";
$confighelpfile["french"]   = "languages/configure_help.fr.php";
$confighelpfile["dutch"]   = "languages/configure_help.nl.php";
$confighelpfile["german"]   = "languages/configure_help.ge.php";
$confighelpfile["russian"]   = "languages/configure_help.ru.php";
$confighelpfile["italian"]   = "languages/configure_help.it.php";
$confighelpfile["polish"]   = "languages/configure_help.pl.php";
$confighelpfile["turkish"]   = "languages/configure_help.tr.php";
$confighelpfile["swedish"]   = "languages/configure_help.sv.php";
$confighelpfile["danish"]   = "languages/configure_help.da.php";
$confighelpfile["chinese"]   = "languages/configure_help.zh.php";

//-- languages which read last name first
$NAME_REVERSE = false;

$factsarray = array();
$pgv_lang=array();
$pgv_lang["danish"]      = "Danish";
$pgv_lang["german"]      = "Deutsch";
$pgv_lang["english"]   = "English";
$pgv_lang["spanish"]   = "Español";
$pgv_lang["french"]      = "Français";
$pgv_lang["italian"]   = "Italiano";
$pgv_lang["dutch"]      = "Nederlands";
$pgv_lang["polish"]      = "Polski";
$pgv_lang["russian"]   = "Russian";
$pgv_lang["swedish"]   = "Svenska";
$pgv_lang["turkish"]   = "Türkçe";
$pgv_lang["chinese"]   = "繁體中文";
require($PGV_BASE_DIRECTORY.$pgv_language["english"]);                     //-- load english as the default language
require($PGV_BASE_DIRECTORY.$pgv_language[$LANGUAGE]);            //-- load language file
require($PGV_BASE_DIRECTORY."templecodes.php");      // -- load in the LDS temple code translations
if (!empty($PRIVACY_MODULE)) require($PRIVACY_MODULE);

if (!isset($PHP_SELF)) $PHP_SELF=$_SERVER["PHP_SELF"];

if (empty($TEXT_DIRECTION)) $TEXT_DIRECTION="ltr";

$monthtonum = array();
$monthtonum["jan"] = 1;
$monthtonum["feb"] = 2;
$monthtonum["mar"] = 3;
$monthtonum["apr"] = 4;
$monthtonum["may"] = 5;
$monthtonum["jun"] = 6;
$monthtonum["jul"] = 7;
$monthtonum["aug"] = 8;
$monthtonum["sep"] = 9;
$monthtonum["oct"] = 10;
$monthtonum["nov"] = 11;
$monthtonum["dec"] = 12;

if ((strstr($PHP_SELF, "editconfig.php")===false)
   &&(strstr($PHP_SELF, "editconfig_help.php")===false)) {
   if (!check_db()) {
      header("Location: editconfig.php");
      exit;
   }
   
   if ((strstr($PHP_SELF, "editconfig_gedcom.php")===false)
   &&(strstr($PHP_SELF, "editconfig_help.php")===false)
   &&(strstr($PHP_SELF, "editgedcoms.php")===false)
   &&(strstr($PHP_SELF, "uploadgedcom.php")===false)
   &&(strstr($PHP_SELF, "login.php")===false)
   &&(strstr($PHP_SELF, "useradmin.php")===false)) {
   	if (count($GEDCOMS)==0) {
      header("Location: editgedcoms.php");
      exit;
   	}
	}
	
//----------------------------------- 
//-- if user wishes to logout this is where we will do it
if ((!empty($logout))&&($logout==1)) {
	userLogout();
	if ($REQUIRE_AUTHENTICATION) {
		header("Location: ".$HOME_SITE_URL);
		exit;
	}
}

	if ($REQUIRE_AUTHENTICATION) {
		if (empty($pgv_username)) {
			if ((strstr($PHP_SELF, "login.php")===false) 
				&&(strstr($PHP_SELF, "mygedview.php")===false)
				&&(strstr($PHP_SELF, "login_register.php")===false)) {
				header("Location: mygedview.php");
				exit;
			}
		}
	}
   
   //-- load the user specific theme
	if (!empty($pgv_username)) {
		$tempuser = getUser($pgv_username);
		$usertheme = $tempuser["theme"];
		if (isset($_POST["user_theme"])) $usertheme = $_POST["user_theme"];
		if (file_exists($usertheme."theme.php")) {
			$THEME_DIR = $usertheme;
			require($usertheme."theme.php");
		}
	}

   if (!isset($change_gedcom)) $change_gedcom="No";
   if ($change_gedcom=='yes') {
      print_header($pgv_lang["choose_gedcom"]);
      print "\n\t<div align=\"center\"><h2>".$pgv_lang["choose_gedcom"]."</h2></div>\n\t<br /><br />";
      print "\n<ul>";
      foreach($GEDCOMS as $ged=>$gedarray) {
         print "\n\t<li><a href=\"index.php?GEDCOM=".$ged."\">".stripslashes($gedarray["title"])."</a></li>";
      }
      print "\n</ul>\n";
      print_footer();
      exit;
   }

   // -- setup session information for tree clippings cart features
   if ($ENABLE_CLIPPINGS_CART) {
      if (isset($_SESSION)) {
         if (!isset($_SESSION['cart'])) {
            $_SESSION['cart'] = array();
         }
         $cart = $_SESSION['cart'];
      }
      else {
         if (!isset($HTTP_SESSION_VARS['cart'])) {
            $HTTP_SESSION_VARS['cart'] = array();
         }
         $cart = $HTTP_SESSION_VARS['cart'];
      }
   }

   if (isset($_SESSION)) {
      $_SESSION['CLANGUAGE'] = $LANGUAGE;
   }
   else {
      $HTTP_SESSION_VARS['CLANGUAGE'] = $LANGUAGE;
   }

   //-- load any editing changes
   if (userCanEdit(getUserName())) {
      if (file_exists($INDEX_DIRECTORY."pgv_changes.php")) require($INDEX_DIRECTORY."pgv_changes.php");
      else $pgv_changes = array();
   }
   else $pgv_changes = array();
}
?>
