<?php
/*=================================================
	Project: phpGedView
	File: sourcelist.php
	Author: John Finlay
	Comments:
		Parses gedcom file and displays a list of the sources in the file.

	Change Log:
		6/14/02 - File Created
		7/8/02 - changed to use index files
		
	phpGedView: Genealogy Viewer
    Copyright (C) 2002 to 2003  John Finlay and Others

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
    
===================================================*/

require("config.php");

$sourcelist = get_source_list();
uasort($sourcelist, "itemsort");
$ct = count($sourcelist);

print_header($pgv_lang["source_list"]);
print "\n\t<center><h2>".$pgv_lang["source_list"]."</h2></center>\n\t";
print "\n\t<center>$ct ".$pgv_lang["sources_found"]." <br />\n\t<table class=\"list_table\">\n\t\t<tr>\n\t\t<td class=\"list_value\">";
$i=0;
// -- print the array
foreach ($sourcelist as $key => $value) {
    print "\n\t\t\t<a href=\"source.php?sid=$key\"><font class=\"list_item\">".stripslashes($value["name"])."</font></a><br />\n";
    if ($i == floor($ct / 2)) print "\n\t\t</td>\n\t\t<td class=\"list_value\">";
    $i++;
}
print "\n\t\t</td>\n\t\t</tr>\n\t</table></center>";
print_footer();

?>